/// <reference types="node" />
import { ClientHttp2Session, ClientSessionOptions, ClientSessionRequestOptions, SecureClientSessionOptions } from 'http2';
import { Http2RequestOptions } from './types/requestOptions';
import { Http2Response } from './types/response';
export declare class Http2Client {
    private readonly url;
    private readonly options?;
    session: ClientHttp2Session;
    constructor(url: string, options?: ClientSessionOptions | SecureClientSessionOptions | undefined);
    close(): void;
    request(requestOptions: Partial<Http2RequestOptions>, nativeOptions?: ClientSessionRequestOptions): Promise<Http2Response>;
    private _getRequestHeaders;
    private _getResponseBody;
    private _getResponseStatus;
    private _reconnect;
}
//# sourceMappingURL=client.d.ts.map